Package org.kapott.hbci.GV

## Class GVDauerSEPAList

- java.lang.Object
- - org.kapott.hbci.GV.HBCIJobImpl
  - - org.kapott.hbci.GV.AbstractSEPAGV
    - - org.kapott.hbci.GV.GVDauerSEPAList

All Implemented Interfaces:
  `HBCIJob`

    public final class GVDauerSEPAList
    extends AbstractSEPAGV

Geschaeftsvorfall zum Abrufen der Liste der SEPA-Dauerauftraege.

### Field Summary

### Fields inherited from class org.kapott.hbci.GV.AbstractSEPAGV

`ENDTOEND_ID_NOTPROVIDED, sepaParams`

### Fields inherited from class org.kapott.hbci.GV.HBCIJobImpl

`jobResult`

### Constructor Summary

Constructors
`GVDauerSEPAList​(HBCIHandler handler)` ct.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected void` `extractResults​(HBCIMsgStatus msgstatus, java.lang.String header, int idx)`
`protected SepaVersion` `getDefaultPainVersion()` Liefert die Default-PAIN-Version, das verwendet werden soll, wenn von der Bank keine geliefert wurden.
`static java.lang.String` `getLowlevelName()`
`java.lang.String` `getPainJobName()` Referenzierter pain-Jobname.
`protected SepaVersion.Type` `getPainType()` Liefert den PAIN-Type.
`protected boolean` `redoAllowed()` Wir erlauben per Default erstmal kein Redo bei einem 3040-Code.

### Methods inherited from class org.kapott.hbci.GV.AbstractSEPAGV

`addConstraint, createSEPAFromParams, getLowlevelParam, getPainVersion, getSEPAGenerator, getSEPAMessageId, getSEPAParam, setLowlevelParam, setSEPAParam, verifyConstraints`

### Methods inherited from class org.kapott.hbci.GV.HBCIJobImpl

`acceptsParam, addConstraint, addSignaturePassport, addToQueue, addToQueue, applyOffset, canNationalAcc, checkAccountCRC, createJobSegment, createJobSegment, fillJobResult, fillJobResultFromTanJob, getChallengeParam, getExternalId, getHBCICode, getJobName, getJobParameterNames, getJobRestrictions, getJobResult, getJobResultNames, getLowlevelParams, getMainPassport, getMaxNumberPerMsg, getMinSigs, getName, getOrderAccount, getParentHandler, getSecurityClass, getSegVersion, getSignaturePassports, haveTan, redo, saveReturnValues, setExternalId, setIdx, setParam, setParam, setParam, setParam, setParam, setParam, setParam, setParam, setParam, setSegVersion, skip, skipped, tanApplied, twoDigitValueInList`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GVDauerSEPAList

    public GVDauerSEPAList​(HBCIHandler handler)

ct.

Parameters:
  `handler` -

### Method Detail

#### getDefaultPainVersion

    protected SepaVersion getDefaultPainVersion()

Description copied from class: `AbstractSEPAGV`
Liefert die Default-PAIN-Version, das verwendet werden soll, wenn von der Bank keine geliefert wurden.

Specified by:
  `getDefaultPainVersion` in class `AbstractSEPAGV`
Returns:
  Default-Pain-Version.
See Also:
  `AbstractSEPAGV.getDefaultPainVersion()`

#### getPainType

    protected SepaVersion.Type getPainType()

Description copied from class: `AbstractSEPAGV`
Liefert den PAIN-Type.

Specified by:
  `getPainType` in class `AbstractSEPAGV`
Returns:
  der PAIN-Type.
See Also:
  `AbstractSEPAGV.getPainType()`

#### getLowlevelName

    public static java.lang.String getLowlevelName()

#### redoAllowed

    protected boolean redoAllowed()

Description copied from class: `HBCIJobImpl`
Wir erlauben per Default erstmal kein Redo bei einem 3040-Code. Es sei denn, im Job ist explizit uebeschrieben. Siehe https://homebanking-hilfe.de/forum/topic.php?p=150614#real150614

Overrides:
  `redoAllowed` in class `HBCIJobImpl`
Returns:
  true, wenn redo erlaubt ist.
See Also:
  `HBCIJobImpl.redoAllowed()`

#### extractResults

    protected void extractResults​(HBCIMsgStatus msgstatus,
                                  java.lang.String header,
                                  int idx)

Overrides:
  `extractResults` in class `HBCIJobImpl`
See Also:
  `HBCIJobImpl.extractResults(org.kapott.hbci.status.HBCIMsgStatus, java.lang.String, int)`

#### getPainJobName

    public java.lang.String getPainJobName()

Description copied from class: `AbstractSEPAGV`
Referenzierter pain-Jobname. Bei vielen Geschäftsvorfällen (z.B. Daueraufträgen) wird die pain der Einzeltransaktion verwendet.

Overrides:
  `getPainJobName` in class `AbstractSEPAGV`
Returns:
  Value